var gTocFiles = [
["About this guide","src/cadm_about_this_guide.html"]
,["Overview of Big Data Discovery Administration",null,
["Introduction","src/cadm_intro_root.html",
["List of administrative tasks","src_onPrem/cadm_intro_tasks.html"]
],["Cluster Architecture","src_onPrem/cadm_cluster_root.html",
["Cluster components","src_onPrem/cadm_cluster_components.html",
["Overview","src_onPrem/cadm_cluster_about.html"]
,["Diagram of a Big Data Discovery Cluster","src_onPrem/cadm_cluster_diagram.html"]
,["Cluster of Dgraph nodes","src_onPrem/cadm_cluster_dgraph_nodes.html"]
,["Leader and follower Dgraph nodes","src_onPrem/cadm_cluster_dgraph_leader.html"]
],["Cluster behavior","src_onPrem/cadm_cluster_behavior.html",
["Load balancing and routing requests","src_onPrem/cadm_cluster_lb_routing.html"]
,["How session affinity is used","src_onPrem/cadm_cluster_session_affinity.html"]
,["Startup of Dgraph nodes","src_onPrem/cadm_cluster_dgraph_startup.html"]
,["How updates are processed","src_onPrem/cadm_cluster_dgraph_updates.html"]
,["Role of ZooKeeper","src_onPrem/cadm_cluster_zookeeper.html"]
,["How high availability is achieved","src_onPrem/cadm_cluster_availability.html"]
]]],["Administering Big Data Discovery",null,
["Administering a Big Data Discovery Cluster","src_onPrem/cadm_bdd_admin_cluster_admin_root.html",
["Updating the BDD configuration","src_onPrem/tadm_bdd_admin_update_bdd_conf.html",
["Configuration properties that can be modified","src_onPrem/radm_bdd_admin_properties_to_modify.html"]
],["Backing up BDD","src_onPrem/tadm_bdd_admin_backup_cluster.html"]
,["Restoring BDD","src_onPrem/tadm_bdd_admin_restore_cluster.html"]
,["Updating BDD's Hadoop configuration","src_onPrem/cadm_bdd_admin_hadoop_admin_root.html",
["Updating the Hadoop client configuration files","src_onPrem/tadm_bdd_admin_hadoop_update_client_conf.html"]
,["Setting the Hue URI","src_onPrem/tadm_bdd_admin_hadoop_update_hue_uri.html"]
,["Upgrading Hadoop","src_onPrem/tadm_bdd_admin_hadoop_update_version.html"]
],["Updating BDD's Kerberos configuration","src_onPrem/cadm_bdd_admin_kerberos_admin_root.html",
["Enabling Kerberos","src_onPrem/tadm_bdd_admin_kerberos_enable.html"]
,["Changing the location of the Kerberos krb5.conf file","src_onPrem/tadm_bdd_admin_kerberos_update_krb5.html"]
,["Updating the Kerberos keytab file","src_onPrem/tadm_bdd_admin_kerberos_update_keytab.html"]
,["Updating the Kerberos principal","src_onPrem/tadm_bdd_admin_kerberos_update_principal.html"]
],["Adding new nodes to the BDD cluster","src_onPrem/cadm_bdd_admin_add_new_nodes.html",
["Adding new Dgraph nodes","src_onPrem/tadm_bdd_admin_add_dgraph_node.html"]
,["Adding new Data Processing nodes","src_onPrem/tadm_bdd_admin_add_dp_node.html"]
],["Refreshing TLS/SSL certificates","src_onPrem/tadm_bdd_admin_refresh_tls_certs.html"]
],["The bdd-admin Script Reference","src_onPrem/cadm_bdd_admin_root.html",
["About the bdd-admin script","src_onPrem/cadm_bdd_admin_about.html"]
,["Lifecycle management commands","src_onPrem/cadm_bdd_admin_lifecycle_management.html",
["start","src_onPrem/radm_bdd_admin_start.html"]
,["stop","src_onPrem/radm_bdd_admin_stop.html"]
,["restart","src_onPrem/radm_bdd_admin_restart.html"]
],["System management commands","src_onPrem/cadm_bdd_admin_system_management.html",
["autostart","src_onPrem/radm_bdd_admin_autostart.html"]
,["backup","src_onPrem/radm_bdd_admin_backup.html"]
,["restore","src_onPrem/radm_bdd_admin_restore.html"]
,["publish-config","src_onPrem/radm_bdd_admin_publish_config.html",
["bdd","src_onPrem/cadm_bdd_admin_publish_config_bdd.html"]
,["hadoop","src_onPrem/cadm_bdd_admin_publish_config_hadoop.html"]
,["kerberos","src_onPrem/cadm_bdd_admin_publish_config_kerberos.html"]
,["cert","src_onPrem/cadm_bdd_admin_publish_config_cert.html"]
],["update-model","src_onPrem/radm_bdd_admin_update_model.html"]
,["flush","src_onPrem/radm_bdd_admin_flush.html"]
,["add-nodes","src_onPrem/radm_bdd_admin_add_node.html"]
,["enable-components","src_onPrem/radm_bdd_admin_enable_components.html"]
,["disable-components","src_onPrem/radm_bdd_admin_disable_components.html"]
],["Diagnostics commands","src_onPrem/cadm_bdd_admin_diagnostics.html",
["get-blackbox","src_onPrem/radm_bdd_admin_get_blackbox.html"]
,["status","src_onPrem/radm_bdd_admin_status.html"]
,["get-stats","src_onPrem/radm_bdd_admin_get_stats.html"]
,["reset-stats","src_onPrem/radm_bdd_admin_reset_stats.html"]
,["get-log-levels","src_onPrem/radm_bdd_admin_get_log_levels.html"]
,["set-log-levels","src_onPrem/radm_bdd_admin_set_log_levels.html"]
,["get-logs","src_onPrem/radm_bdd_admin_get_logs.html"]
,["rotate-logs","src_onPrem/radm_bdd_admin_rotate_logs.html"]
]],["Administering the Dgraph","src_onPrem/cadm_dgraph_root.html",
["About the Dgraph","src_onPrem/cadm_dgraph_about.html"]
,["Memory consumption by the Dgraph","src_onPrem/cadm_dgraph_mem_consumption.html"]
,["Tips for setting the Dgraph cache size","src_onPrem/cadm_dgraph_cache.html"]
,["Changing the Dgraph memory limit","src_onPrem/tadm_dgraph_set_mem_limit.html"]
,["Setting up cgroups for the Dgraph","src_onPrem/tadm_dgraph_cgroups.html"]
,["Moving the Dgraph databases to HDFS","src_onPrem/tadm_dgraph_move_index_to_hdfs.html"]
,["Appointing a new Dgraph leader","src_onPrem/tadm_dgraph_appoint_leader.html"]
,["About using Linux ulimit settings for merges","src_onPrem/cadm_dgraph_merges_ulimit.html"]
,["Tips for storing Dgraph core dump files","src_onPrem/cadm_dgraph_core_dumps_manage.html"]
,["About Dgraph statistics","src_onPrem/cadm_dgraph_stats_about.html"]
,["Dgraph flags","src_onPrem/radm_dgraph_flags.html"]
,["Dgraph HDFS Agent flags","src_onPrem/radm_dgraph_agent_flags.html"]
]],["Administering Studio",null,
["Managing Data Sources","src/cadm_datasources_root.html",
["About database connections and JDBC data sources","src/cadm_datasources_about.html"]
,["Creating data connections","src/tadm_datasources_data_connections_managing.html"]
,["Deleting data connections","src/tadm_datasources_data_connections_deleting.html"]
,["Creating a data source","src/tadm_datasources_create_manually.html"]
,["Editing a data source","src/cadm_datasources_editing_deleting.html"]
,["Deleting a data source","src/tadm_datasources_delete.html"]
],["Configuring Studio Settings","src/cadm_framework_settings_stub.html",
["Studio settings list","src/radm_framework_settings.html"]
,["Changing the Studio setting values","src/tadm_framework_settings_config.html"]
,["Modifying the Studio session timeout value","src_onPrem/tadm_studio_timeout.html"]
,["Changing the Studio database password","src_onPrem/cadm_changing_studio_db_pword.html"]
],["Configuring Data Processing Settings","src/cadm_hadoop_settings_stub.html",
["List of Data Processing Settings","src/radm_data_processing_settings.html"]
,["Changing the data processing settings","src/tadm_hadoop_settings_config.html"]
],["Running a Studio Health Check","src/tadm_running_studio_health_check.html"]
,["Viewing Project Usage Summary Reports","src/cadm_system_usage_root.html",
["About the project usage logs","src/cadm_system_usage_enabling.html"]
,["About the System Usage page","src/cadm_system_usage_about_reports.html"]
,["Using the System Usage page","src/tadm_system_usage_using.html"]
],["Configuring the Locale and Time Zone","src/cadm_locales_stub.html",
["Locales and their effect on the user interface","src/cadm_locales_about.html"]
,["How Studio determines the locale to use","src/cadm_locales_determining_stub.html",
["Locations where the locale may be set","src/cadm_locales_available_locations.html"]
,["Scenarios for selecting the locale","src/radm_locales_scenarios_for_determining.html"]
],["Selecting the default locale","src/tadm_locales_setting_studio_default.html"]
,["Configuring a user's preferred locale","src/tadm_locales_configuring_user_preferred.html"]
,["Setting the default time zone","src/tsu_setting_default_time_zone.html"]
],["Configuring Settings for Outbound Email Notifications","src/cadm_email_stub.html",
["Configuring the email server settings","src/tadm_email_server_outbound.html"]
,["Configuring the sender name and email address for notifications","src/tadm_email_configure_sender.html"]
,["Setting up the Account Created and Password Changed notifications","src/tadm_email_account_password_notifications.html"]
],["Managing Projects from the Control Panel","src/cadm_managing_projects_root.html",
["Configuring the project type","src/tadm_projects_project_type_configuring.html"]
,["Assigning users and user groups to projects","src/tadm_projects_sharing.html"]
,["Certifying a project","src/tadm_projects_certifying.html"]
,["Making a project active or inactive","src/tadm_projects_make_active_inactive.html"]
,["Deleting projects","src/tadm_projects_removing.html"]
]],["Controlling User Access to Studio",null,
["Configuring User-Related Settings","src/cadm_user_access_configure_settings_stub.html",
["Configuring authentication settings for users","src/tadm_user_access_change_username_type.html"]
,["Configuring the password policy","src/tadm_user_access_configure_password_policy.html"]
,["Restricting the use of specific screen names and email addresses","src/tadm_user_access_restricted_credentials.html"]
],["Creating and Editing Studio Users","src/cadm_user_access_create_users_stub.html",
["About user roles and access privileges","src/cadm_user_access_roles_about.html"]
,["Creating a new Studio user","src/tadm_user_access_create_user.html"]
,["Editing a Studio user","src/tadm_user_access_edit_user.html"]
,["Deactivating, reactivating, and deleting Studio users","src/tadm_user_access_deactivate_reactivate.html"]
],["Integrating with an LDAP System to Manage Users","src_onPrem/cadm_user_access_ldap_integration_stub.html",
["About using LDAP","src_onPrem/cadm_user_access_ldap_integration_about.html"]
,["Configuring the LDAP settings and server","src_onPrem/tadm_user_access_ldap_configure_settings.html"]
,["Authenticating against LDAP over TLS/SSL","src_onPrem/tadm_user_access_ldap_ssl.html"]
,["Preventing encrypted LDAP passwords from being stored in BDD","src_onPrem/tadm_user_access_ldap_prevent_password_storage.html"]
,["Assigning roles based on LDAP user groups","src_onPrem/tadm_user_access_ldap_assign_group_roles.html"]
],["Setting Up Single Sign-On (SSO)","src_onPrem/cadm_sso_root.html",
["About using single sign-on","src_onPrem/cadm_sso_about.html"]
,["Overview of the process for configuring SSO with Oracle Access Manager","src_onPrem/cadm_sso_process_overview.html"]
,["Configuring the reverse proxy module in OHS","src_onPrem/tadm_sso_reverse_proxy_weblogic.html"]
,["Registering the Webgate with the Oracle Access Manager server","src_onPrem/tadm_sso_register_webgate.html"]
,["Testing the OHS URL","src_onPrem/tadm_sso_testing_ohs_url.html"]
,["Configuring Big Data Discovery to integrate with SSO via Oracle Access Manager","src_onPrem/cadm_sso_configuring_studio_stub.html",
["Configuring the LDAP connection for SSO","src_onPrem/tadm_sso_configure_ldap_connection.html"]
,["Configuring the Oracle Access Manager SSO settings","src_onPrem/tadm_sso_configure_oam_sso_settings.html"]
],["Completing and testing the SSO integration","src_onPrem/tadm_sso_completing_testing_sso_integration.html"]
]],["Logging for Studio, Dgraph, and Dgraph Gateway",null,
["Overview of BDD Logging","src/cadm_logs_root.html",
["List of Big Data Discovery logs","src_onPrem/radm_logs_list.html"]
,["Gathering information for diagnosing problems","src_onPrem/cadm_logging_gather_info.html"]
,["Retrieving logs","src_onPrem/tadm_logs_get_logs.html"]
,["Rotating logs","src_onPrem/tadm_rotating_logs.html"]
],["Studio Logging","src/cadm_logging_studio_root.html",
["About logging in Studio","src/cadm_logging_studio_about.html"]
,["About the Log4j configuration XML files","src/cadm_logging_studio_portal-log4j.html"]
,["About the main Studio log file","src/cadm_logging_studio_main_log_file_about.html"]
,["About the metrics log file","src/cadm_logging_studio_metrics_log_file.html"]
,["Configuring the amount of metrics data to record","src/cadm_logging_studio_metrics_configure.html"]
,["About the Studio client log file","src/cadm_logging_studio_client_log.html"]
,["Adjusting Studio logging levels","src/tadm_logging_studio_verbosity_setting.html"]
,["Using the Performance Metrics page to monitor query performance","src/cadm_logging_studio_performance_metrics_page.html"]
],["Dgraph Logging","src/cadm_logging_dgraph_root.html",
["Dgraph request log","src/cadm_logging_dgraph_request.html"]
,["Dgraph out log","src/cadm_logging_dgraph_out.html",
["Dgraph log levels","src/radm_logging_dgraph_levels.html"]
,["Setting the Dgraph log levels","src_onPrem/tadm_logging_dgraph_set_levels.html"]
],["FUSE out log","src/radm_logging_dgraph_fuse.html"]
],["Dgraph Gateway Logging","src/cadm_logging_es_root.html",
["Dgraph Gateway logs","src/cadm_logging_es.html"]
,["Dgraph Gateway log entry format","src/radm_logging_es_format.html"]
,["Log entry information","src/cadm_logging_es_entries.html"]
,["Logging properties file","src/radm_logging_config.html"]
,["Setting the Dgraph Gateway log level","src_onPrem/tadm_logging_es_set_levels.html"]
,["Customizing the HTTP access log","src_onPrem/tadm_logging_es_access_log.html"]
]],["Conventions","src/c_conventions_used_in_this_book.html"]
,["Copyright and disclaimer","src/c_copyright.html"]
];
var gInitURL = "src/cadm_about_this_guide.html";
var gMapTitle = "Big Data Discovery: Administrator's Guide";
